Skip to main content
POST
Create a 24-hour repository token grant (member)

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Path Parameters

org_id
string
required

Organization identifier (e.g. org-abc12345)

Body

application/json
repository_id
integer
required
session_ref
string
required
Maximum string length: 256
cell
string
required
Maximum string length: 64

Response

Grant created; first token attached

grant_id
string<uuid>
required
expires_at
string<date-time>
required
repository_id
integer
required
token
string
required

First 1-hour installation token. Never persisted.

token_expires_at
string<date-time>
required
permissions
object
required

The permission set the token was minted with: contents, pull_requests, metadata, plus issues when the installation has accepted issues:write.

repository_full_name
string
installation_id
integer